//INCLUDE_ASSEMBLY System.dll
//INCLUDE_ASSEMBLY System.Windows.Forms.dll

using System;
using System.Windows.Forms;
using System.Diagnostics;

namespace DXLog.net
{
    public class Script : ScriptClass
    {
        ContestData cdata;
        FrmMain frmMain;

        public void Initialize(FrmMain main)
        {
            cdata = main.ContestDataProvider;
            frmMain = main;
            cdata.ActiveRadioBandChanged += new ContestData.ActiveRadioBandChange(HandleActiveRadioBandChanged);
        }

        public void Deinitialize()
        {
            cdata.ActiveRadioBandChanged -= HandleActiveRadioBandChanged;
        }

        public void Main(FrmMain main, ContestData cdata, COMMain comMain)
        {
        }

        public void HandleActiveRadioBandChanged(int RadioNumber)
        {
            String activeBandR1 = String.Empty;
            String activeBandR2 = String.Empty;
            activeBandR1 = cdata.Radio1_ActiveBand;
            frmMain.SetMainStatusText(String.Format("Skimmer for radio {0} is set to {1}m.", RadioNumber, activeBandR1));
            System.Diagnostics.Process proc1 = new System.Diagnostics.Process();
            System.Diagnostics.Process proc2 = new System.Diagnostics.Process();
            proc1.StartInfo.CreateNoWindow = true;
            proc1.StartInfo.UseShellExecute = false;
            proc1.StartInfo.FileName = "d:\\telnet\\telnet.exe";
            proc2.StartInfo.CreateNoWindow = true;
            proc2.StartInfo.UseShellExecute = false;
            proc2.StartInfo.FileName = "d:\\telnet\\sdr.exe";

            switch (activeBandR1)
            {
                case "160":
                    proc1.StartInfo.Arguments = "1840000";
                    proc2.StartInfo.Arguments = "-F1840000";
                    proc1.Start();
                    proc2.Start();
                    break;
                case "80":
                    proc1.StartInfo.Arguments = "3540000";
                    proc2.StartInfo.Arguments = "-F3540000";
                    proc1.Start();
                    proc2.Start();
                    break;
                case "40":
                    proc1.StartInfo.Arguments = "7040000";
                    proc2.StartInfo.Arguments = "-F7040000";
                    proc1.Start();
                    proc2.Start();
                    break;
                case "20":
                    proc1.StartInfo.Arguments = "14040000";
                    proc2.StartInfo.Arguments = "-F14040000";
                    proc1.Start();
                    proc2.Start();
                    break;
                case "15":
                    proc1.StartInfo.Arguments = "21040000";
                    proc2.StartInfo.Arguments = "-F21040000";
                    proc1.Start();
                    proc2.Start();
                    break;
                case "10":
                    proc1.StartInfo.Arguments = "28040000";
                    proc2.StartInfo.Arguments = "-F28040000";
                    proc1.Start();
                    proc2.Start();
                    break;
            }
        }
    }
}